"""DjangoAPI URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include, re_path

from accounts.api import LoginAPI, UserAPI
from .router import router
from phishingApp.viewsets import *
from knox import views as knox_views
from django.views.generic import TemplateView

urlpatterns = [
    path('api/', include(router.urls), name='api'),
    path('init/', init_gamerun),
    path('answer/', set_player_answer),
    path('next_email/', next_email),
    path('summary/', get_gamerun_summary),
    path('email-statistics/<int:email_id>/', get_email_statistics),
    path('api/auth', include('knox.urls')),
    path('api/auth/login', LoginAPI.as_view()),
    path('api/auth/user', UserAPI.as_view()),
    path('api/auth/logout', knox_views.LogoutView.as_view())
    #re_path('frontend/', TemplateView.as_view(template_name="index.html"))
]
