import React from "react";
import { Redirect, Route } from "react-router-dom";

export default function PlayRoute({ component: Component, ...rest }) {
  // Add your own authentication on the below line.
  const hasUsername = !!localStorage.getItem("username");

  return (
    <Route
      {...rest}
      render={(props) =>
        hasUsername ? (
          <Component {...props} />
        ) : (
          <Redirect
            to={{ pathname: "/username", state: { from: props.location } }}
          />
        )
      }
    />
  );
}
