import axios from "axios";

export async function fetchEmails() {
  return await axios.get("http://localhost:8000/api/emails/").then((res) => {
    return res.data;
  });
}

export async function fetchEmailsByGamerunID(gamerunID) {
  return axios
    .get("http://localhost:8000/api/emails/")
    .then(function (response) {
      let emails = response.data;
      emails = emails.filter((email) =>
        email.gameruns.some((gamerun) => gamerun.gamerun_id == gamerunID)
      );
      return emails;
    });
}

export async function postEmail(email) {
  return await axios.post("http://localhost:8000/api/emails/", email);
}

export async function deleteEmail(email_id) {
  return await axios.delete("http://localhost:8000/api/emails/" + email_id);
}
