import React from "react";
import { Grid } from "@material-ui/core";
import MainHeader from "../components/MainHeader";
import { BrowserRouter as Router, Link } from "react-router-dom";
import Container from "@mui/material/Container";
import { createTheme, CssBaseline, ThemeProvider } from "@mui/material";
import { green, red } from "@mui/material/colors";
import Button from "@mui/material/Button";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import Divider from "@mui/material/Divider";

const MainPage = () => {
  return (
    <Box>
      <MainHeader />
      <Box
        sx={{
          width: "100%",
          height: "100%",
          display: "flex",
          alignItems: "center",
          justifyContent: "center",
        }}
      >
        <Box
          sx={{
            display: "flex",
            flexDirection: "column",
            alignItems: "center",
          }}
        >
          <Typography variant="h4">Phishing training</Typography>
          <Divider
            flexItem={true}
            style={{
              height: "1px",
              backgroundColor: "#FFFFFF",
              marginTop: 10,
            }}
          />
          <Button
            size="large"
            style={{
              width: "160px",
              marginTop: 30,
              marginBottom: 30,
            }}
            variant="contained"
            color="primary"
            component={Link}
            to="/username"
          >
            Play
          </Button>
          <Button
            size="large"
            style={{
              width: "160px",
            }}
            variant="contained"
            color="primary"
            component={Link}
            to="/instructions"
          >
            How to play
          </Button>
        </Box>
      </Box>
    </Box>
  );
};

export default MainPage;
