import * as React from "react";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import Grid from "@mui/material/Grid";
import { useEffect, useState } from "react";
import axios from "axios";
import EmailTable from "../../components/tables/EmailTable";

function SettingsGamerunInfo({ match }) {
  const [data, setData] = useState({
    gamerun_id: 0,
    player_name: "",
    start_time: "",
    end_time: "",
  });

  const gamerunId = match.params.id;

  useEffect(() => {
    const headers = {
      "Content-Type": "application/json",
    };
    axios
      .get("http://localhost:8000/api/gameruns/" + gamerunId, {
        headers: headers,
      })
      .then(function (response) {
        setData(response.data);
      })
      .catch((err) => console.log(err));
  }, []);

  return (
    <Box sx={{ mt: 4 }}>
      <Grid container direction="column" spacing={2}>
        {["Gamerun ID", "Player name", "Start time", "End time"].map(
          (item, index) => (
            <Grid item container spacing={1} key={index}>
              <Grid item xs={3} sm={2}>
                <Typography
                  sx={{
                    textAlign: "right",
                    overflowWrap: "break-word",
                  }}
                >
                  {item}:
                </Typography>
              </Grid>
              <Grid item xs={9} sm={10}>
                <Typography
                  sx={{
                    overflowWrap: "break-word",
                  }}
                >
                  {Object.values(data)[index]}
                </Typography>
              </Grid>
            </Grid>
          )
        )}
      </Grid>

      <EmailTable gamerunID={gamerunId} />
    </Box>
  );
}

export default SettingsGamerunInfo;
